namespace Minesweeper.Core
{
    public readonly struct GameSettingsValue
    {
        public GameSettingsValue(int sizeX, int sizeY, int minesCount)
        {
            SizeX = sizeX;
            SizeY = sizeY;
            MinesCount = minesCount;
        }

        public int SizeX { get; }
        public int SizeY { get; }
        public int MinesCount { get; }

        public bool Equals(GameSettingsValue other)
        {
            return SizeX == other.SizeX && SizeY == other.SizeY && MinesCount == other.MinesCount;
        }
    }
}
